<mamecheat version="1">

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@4D84</action>
      <action>temp1 =maincpu.mb@4D85</action>
    </script>
    <script state="run">
      <action>maincpu.mb@4D84=38</action>
      <action>maincpu.mb@4D85=EA</action> <!-- Change 'cmp  #$0A' to sec, nop to force the following BCS to branch -->
    </script>
    <script state="off">
      <action>maincpu.mb@4D84=temp0 </action>
      <action>maincpu.mb@4D85=temp1 </action>
    </script>
  </cheat>

  <cheat desc="No Spiders">
    <script state="run">
      <action>maincpu.pb@005D=B9</action>
    </script>
  </cheat>

  <cheat desc="No Beetles">
    <script state="run">
      <action>maincpu.pb@00F9=00</action>
    </script>
  </cheat>

  <cheat desc="Ants + Earwigs can't move">
    <script state="run">
      <action>maincpu.pb@002C=00</action>
    </script>
  </cheat>

  <cheat desc="No Mosquitos">
    <script state="run">
      <action>maincpu.pb@005C=00</action>
    </script>
  </cheat>

  <cheat desc="No Inchworms">
    <script state="run">
      <action>maincpu.pb@13F0=00</action>
    </script>
  </cheat>

  <cheat desc="Lower Spider Sound">
    <script state="run">
      <action>maincpu.pb@00C3=00</action>
    </script>
  </cheat>

  <cheat desc="No Ant or Earwig Sounds">
    <script state="run">
      <action>maincpu.pb@00C9=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@00B3=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@00B4=06</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
